#ifndef __common_h_
#define __common_h_
#include <stdio.h>

#define CPLAY    100
#define CFF      101
#define CREV     102
#define CSKIP    103
#define CMUTE    104
#define CPAUSE   105
#define NSTOP    106
#define CLOOP    107
#define CSCROLL  108
#define CCNTSER  109
#define CGETDIR  110
#define COPEN    111
#define CADIOL   112
#define CADIOR   113
#define CQUT    114

#define TRUE 1
#define  FALSE 0

int GuiFltkThread(int ,char **);

typedef  struct 
{ 
	char flname[50];
  	char type;
  	unsigned long flsz;
//	struct dir_str *nxt,*pre;
}DIR_RECORD;

typedef struct  
{	int NoElements;
	//struct dir_str frst_element;
	DIR_RECORD *dir_record;
}DIR_LIST ;



class Param
{
	private:
        char ServerName[40];
        char FileName[100];
        DIR_LIST  *dirList;
        char DirName[50];
	char ErrMsg[100];
	
	int audioVolL;
        int audioVolR;
 
        bool Play;
        bool Pause;
        bool Stop;
        bool Quit;
        bool  FF;
        bool  Rev;
 
        bool Open;
        bool Read;
        bool Write;
        bool Loop;
        bool Mute;
        bool Cont;
        bool GetDir;
 
        int ScrolPt;
        int ScrolPoint;
 
        int butvalue;
        int ButPress;
	int ErFlg ;


 	int owner;
 
        bool StatusCh;      
public:

	Param();
	bool  GetStatus();
	Show();
	int GetKey();
	int GetKeyWithValue(int *butvalue);
	int GetServNameDot(char *srvname) ;
	int SetServNameDot(char *srvname) ;
	int GetFlName(char * flname) ; 
	int SetFlName(char * flname);
	int SetDirectory(char *str);
	char * GetRmtCWD();
	DIR_LIST *GetDirectory();
	int SetFilename4Dir(int indx, char * str1);
	int SetFileType4Dir(int indx,char type);
	char GetFileType4Dir(int indx);
	void GetFilename4Dir(int indx ,char *str);
	int SetNoRec4Dir(int index);
	int GetNoRec4Dir();
	int SetOpen();
	int SetCont();
        int SetPlay();
	int SetPause();    // toggle
	int SetStop();
	int SetQuit();
	int SetFF();
	int SetRev();
	int SetRead()   ; // toggle
	int SetWrite() ;    // toggle
	int SetLoop() ;  // toggle
	int SetMute();
	int SetScrolpt(int );
	int GetScrolpt()      ;  
	int GetScrolPoint();
	int UpdateScrolpt(int )  ;
	SetOwner(int );
	int GetOwner();
	void postErMsg(char *);
	char *getErMsg();
	int SetAudioL(int);
 	int SetAudioR(int);
	int GetAudioL();
	int GetAudioR();
	
	

};
#endif
